Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5103)
@@ -4,5 +4,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      subroutine iophys_ecrit(nom,lllm,titre,unite,px)
+      SUBROUTINE iophys_ecrit(nom,lllm,titre,unite,px)
 
       USE mod_phys_lmdz_para, ONLY: klon_omp, is_mpi_root
@@ -61,5 +61,5 @@
       IF (is_mpi_root) THEN       
         CALL Grid1Dto2D_glo(xglo,zx)
-        call iotd_ecrit(nom,lllm,titre,unite,zx)
+        CALL iotd_ecrit(nom,lllm,titre,unite,zx)
       ENDIF
 !$OMP END MASTER
@@ -74,5 +74,5 @@
 
 
-    subroutine iophys_ecrit_index(nom,lllm,titre,unite,knon,knindex,px)
+    SUBROUTINE iophys_ecrit_index(nom,lllm,titre,unite,knon,knindex,px)
 
     USE mod_phys_lmdz_para, ONLY: klon_omp
@@ -81,5 +81,5 @@
     IMPLICIT NONE
 
-! This subroutine returns the sea surface temperature already read from limit.nc
+! This SUBROUTINE returns the sea surface temperature already read from limit.nc
 
 ! Arguments on input:
@@ -94,5 +94,5 @@
 
     IF (klon/=klon_omp) THEN
-      print*,'klon, klon_omp',klon,klon_omp
+      PRINT*,'klon, klon_omp',klon,klon_omp
       CALL abort_physic('iophys_ecrit','probleme de dimension parallele',1)
     ENDIF
@@ -160,6 +160,6 @@
 pi=2.*asin(1.)
 
-! print*,'day_ini,annee_ref,day_ref',day_ini,annee_ref,day_ref
-! print*,'jD_ref,jH_ref,start_time, calend',jD_ref,jH_ref,start_time, calend
+! PRINT*,'day_ini,annee_ref,day_ref',day_ini,annee_ref,day_ref
+! PRINT*,'jD_ref,jH_ref,start_time, calend',jD_ref,jH_ref,start_time, calend
 
 ! Attention : les lignes ci dessous supposent un calendrier en 360 jours
@@ -172,10 +172,10 @@
 t0=0.
 calendrier=calend
-if ( calendrier == "earth_360d" ) calendrier="360_day"
-
-print*,'iophys_ini annee_ref day_ref',annee_ref,day_ref,day_ini,calend,t0
-
-
-call iotd_ini('phys.nc', &
+IF ( calendrier == "earth_360d" ) calendrier="360_day"
+
+PRINT*,'iophys_ini annee_ref day_ref',annee_ref,day_ref,day_ini,calend,t0
+
+
+CALL iotd_ini('phys.nc', &
 size(lon_reg),nlat_eff,klev,lon_reg(:)*180./pi,lat_reg*180./pi,presnivs,jour0,mois0,an0,t0,timestep,calendrier)
     ENDIF
@@ -256,5 +256,5 @@
       enddo
 
-      call iotd_ecrit(nom,lllm,titre,unite,zx)
+      CALL iotd_ecrit(nom,lllm,titre,unite,zx)
       deallocate(zx)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5103)
@@ -1,3 +1,3 @@
-      subroutine iotd_ecrit(nom,llm,titre,unite,px)
+      SUBROUTINE iotd_ecrit(nom,llm,titre,unite,px)
 
 
@@ -69,5 +69,5 @@
 ! Initialisation of 'firstnom' and create/open the "diagfi.nc" NetCDF file
 ! ------------------------------------------------------------------------
-! (Au tout premier appel de la subroutine durant le run.)
+! (Au tout premier appel de la SUBROUTINE durant le run.)
 
 
@@ -87,5 +87,5 @@
         endif
 
-       !print*,'nom ',nom,firstnom
+       !PRINT*,'nom ',nom,firstnom
 
 !! Quand on tombe sur la premiere variable on ajoute un pas de temps
@@ -95,7 +95,7 @@
            ntime=ntime+1 ! increment # of stored time steps
 
-!!          print*,'ntime ',ntime
+!!          PRINT*,'ntime ',ntime
            date=iotd_t0+ntime*iotd_ts
-           !print*,'iotd_ecrit ',iotd_ts,ntime, date
+           !PRINT*,'iotd_ecrit ',iotd_ts,ntime, date
 !          date= float (zitau +1)/float (day_step)
 
@@ -111,6 +111,6 @@
            ierr= nf90_put_var(nid,varid,date,[ntime])
 
-!          print*,'date ',date,ierr,nid
-!        print*,'IOTD Date ,varid,nid,ntime,date',varid,nid,ntime,date
+!          PRINT*,'date ',date,ierr,nid
+!        PRINT*,'IOTD Date ,varid,nid,ntime,date',varid,nid,ntime,date
 
            if (ierr/=nf90_noerr) then
@@ -163,9 +163,9 @@
           ierr = nf90_redef (nid)
           ierr = nf90_def_var(nid,nom,nf90_float,dim_cc,varid)
-          !print*,'DEF ',nom,nid,varid
+          !PRINT*,'DEF ',nom,nid,varid
           ierr = nf90_enddef(nid)
       else
          ierr= nf90_inq_varid(nid,nom,varid)
-          !print*,'INQ ',nom,nid,varid
+          !PRINT*,'INQ ',nom,nid,varid
 ! Commandes pour recuperer automatiquement les coordonnees
 !             ierr= nf90_inq_dimid(nid,"longitude",id(1))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90	(revision 5103)
@@ -51,5 +51,5 @@
       iotd_ts=timestep
       iotd_t0=t0
-      print*,'iotd_ini, ',timestep,iotd_ts
+      PRINT*,'iotd_ini, ',timestep,iotd_ts
       imax=iim
       jmax=jjm
@@ -65,7 +65,7 @@
       ! dans iotd.def
       ! Si iotd.def existe et est non vide,
-      ! seules les variables faisant à la fois l'objet d'un call iotd_ecrit
+      ! seules les variables faisant à la fois l'objet d'un CALL iotd_ecrit
       ! et étant spécifiées dans iotd.def sont sorties.
-      ! Sinon, toutes les variables faisant l'objet d'un call iotd_ecrit
+      ! Sinon, toutes les variables faisant l'objet d'un CALL iotd_ecrit
       ! sont sorties
       !-----------------------------------------------------------------------
@@ -82,5 +82,5 @@
             enddo
          endif
-         print*,n_names_iotd_def,names_iotd_def(1:n_names_iotd_def)
+         PRINT*,n_names_iotd_def,names_iotd_def(1:n_names_iotd_def)
       close(99)
 
@@ -114,5 +114,5 @@
       ierr=nf90_enddef(nid)
       ierr=nf90_put_var(nid,nvarid,rlon)
-       print*,ierr
+       PRINT*,ierr
 
 ! ---- latitude ------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90	(revision 5103)
@@ -1291,5 +1291,5 @@
       ! IM
       ! CALL CPU_time(t2)
-      ! print*,'IF tau t2 - t1',t2 - t1
+      ! PRINT*,'IF tau t2 - t1',t2 - t1
 
       ! CALL CPU_time(t1)
@@ -1320,5 +1320,5 @@
       ! IM
       ! CALL CPU_time(t2)
-      ! print*,'IF box_cloudy t2 - t1',t2 - t1
+      ! PRINT*,'IF box_cloudy t2 - t1',t2 - t1
 
       ! CALL CPU_time(t1)
@@ -1446,5 +1446,5 @@
           ! if (ipres(j) .gt. 0.and.itau(j) .gt. 0) then
           ! if (iw(j) .gt. int(wmin).and.iw(j) .le. iwmx) then
-          ! print*,' ISCCP iw=',iw(j),j
+          ! PRINT*,' ISCCP iw=',iw(j),j
           ! fq_dynreg(itau(j),ipres(j),iw(j))=
           ! &          fq_dynreg(itau(j),ipres(j),iw(j))+
@@ -1464,5 +1464,5 @@
       ! IM
       ! CALL CPU_time(t2)
-      ! print*,'IF sunlit boxcloudy t2 - t1',t2 - t1
+      ! PRINT*,'IF sunlit boxcloudy t2 - t1',t2 - t1
       ! IM
     END DO !IM ibox/j
@@ -1473,5 +1473,5 @@
 
     ! if(j.EQ.6722) then
-    ! print*,' ISCCP',w(j),iw(j),ipres(j),itau(j)
+    ! PRINT*,' ISCCP',w(j),iw(j),ipres(j),itau(j)
     ! endif
 
@@ -1513,10 +1513,10 @@
   ! fq_dynreg(k,l,nw) = fq_dynreg(k,l,nw)/nfq_dynreg(k,l,nw)
   ! if(k.EQ.4.AND.l.EQ.2.AND.nw.EQ.10) then
-  ! print*,' isccp APRES',nfq_dynreg(k,l,nw),
+  ! PRINT*,' isccp APRES',nfq_dynreg(k,l,nw),
   ! &   fq_dynreg(k,l,nw)
   ! endif
   ! else
   ! if(fq_dynreg(k,l,nw).NE.0.) then
-  ! print*,'nfq_dynreg = 0 tau,pc,nw',k,l,nw,fq_dynreg(k,l,nw)
+  ! PRINT*,'nfq_dynreg = 0 tau,pc,nw',k,l,nw,fq_dynreg(k,l,nw)
   ! endif
   ! fq_dynreg(k,l,nw) = -1.E+20
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5103)
@@ -7,6 +7,6 @@
 
 ! Module subroutines :
-!  limit_read_frac    : call limit_read_tot and return the fractions
-!  limit_read_rug_alb : return rugosity and albedo, if coupled ocean call limit_read_tot first
+!  limit_read_frac    : CALL limit_read_tot and return the fractions
+!  limit_read_rug_alb : return rugosity and albedo, if coupled ocean CALL limit_read_tot first
 !  limit_read_sst     : return sea ice temperature   
 !  limit_read_tot     : read limit.nc and store the fields in local modules variables
@@ -52,5 +52,5 @@
   SUBROUTINE limit_read_frac(itime, dtime, jour, pctsrf_new, is_modified)
 
-! This subroutine is called from "change_srf_frac" for case of 
+! This SUBROUTINE is called from "change_srf_frac" for case of
 ! ocean=force or from ocean_slab_frac for ocean=slab.
 ! The fraction for all sub-surfaces at actual time step is returned.
@@ -87,7 +87,7 @@
        rugos_out, alb_out)
 
-! This subroutine is called from surf_land_bucket. 
+! This SUBROUTINE is called from surf_land_bucket.
 ! The flag "ok_veget" must can not be true. If coupled run, "ocean=couple"
-! then this routine will call limit_read_tot.
+! then this routine will CALL limit_read_tot.
 
     USE dimphy
@@ -129,5 +129,5 @@
   SUBROUTINE limit_read_sst(knon, knindex, sst_out)
 
-! This subroutine returns the sea surface temperature already read from limit.nc.
+! This SUBROUTINE returns the sea surface temperature already read from limit.nc.
 
     USE dimphy, ONLY: klon
@@ -147,5 +147,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!
-!! Private subroutine :
+!! Private SUBROUTINE :
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5103)
@@ -56,5 +56,5 @@
 !$OMP MASTER  ! Only master thread
      IF (is_mpi_root) THEN ! Only master processus
-        print*,'in limit_slab time to read, itime=',itime
+        PRINT*,'in limit_slab time to read, itime=',itime
         read_bils=.TRUE.
         read_sst=.TRUE.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5103)
@@ -5,5 +5,5 @@
 contains 
 
-subroutine atke_compute_km_kh(ngrid,nlay,dtime, &
+SUBROUTINE atke_compute_km_kh(ngrid,nlay,dtime, &
                         wind_u,wind_v,temp,qvap,play,pinterf,cdrag_uv, &
                         tke,eps,tke_shear,tke_buoy,tke_trans,Km_out,Kh_out)
@@ -183,5 +183,5 @@
                                 + Ri(igrid,ilay) * pr_slope
             IF (Ri(igrid,ilay) >= Prandtl(igrid,ilay)) THEN
-                call abort_physic("atke_compute_km_kh", &
+                CALL abort_physic("atke_compute_km_kh", &
                 'Ri>=Pr in stable conditions -> violates energy conservation principles, change pr_neut or slope', 1)
             ENDIF
@@ -356,5 +356,5 @@
 
 ELSE
-    call abort_physic("atke_compute_km_kh", &
+    CALL abort_physic("atke_compute_km_kh", &
         'numerical treatment of TKE not possible yet', 1)
 
@@ -407,8 +407,8 @@
 Kh_out(1:ngrid,2:nlay)=Kh(1:ngrid,2:nlay)
 
-end subroutine atke_compute_km_kh
+END SUBROUTINE  atke_compute_km_kh
 
 !===============================================================================================
-subroutine atke_vdiff_tke(ngrid,nlay,dtime,z_lay,z_interf,temp,play,l_exchange,Sm,tke,tke_trans)
+SUBROUTINE atke_vdiff_tke(ngrid,nlay,dtime,z_lay,z_interf,temp,play,l_exchange,Sm,tke,tke_trans)
 
 ! routine that computes the vertical diffusion of TKE by the turbulence
@@ -506,5 +506,5 @@
 
 
-end subroutine atke_vdiff_tke
+END SUBROUTINE  atke_vdiff_tke
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5103)
@@ -81,14 +81,14 @@
 
       if (iflag_atke == 0 .and. iflag_atke_lmix>0) then
-            call abort_physic("atke_turbulence_ini", &
+            CALL abort_physic("atke_turbulence_ini", &
             'stationary scheme must use mixing length formulation not depending on tke', 1)
       endif
 
       ! activate vertical diffusion of TKE or not
-      atke_ok_vdiff=.false.
+      atke_ok_vdiff=.FALSE.
       CALL getin_p('atke_ok_vdiff',atke_ok_vdiff)
 
       ! account for vapor for flottability
-      atke_ok_virtual=.true.
+      atke_ok_virtual=.TRUE.
       CALL getin_p('atke_ok_virtual',atke_ok_virtual)
 
@@ -121,5 +121,5 @@
       cinf=cinffac*cn
       if (cinf <= cn) then
-            call abort_physic("atke_turbulence_ini", &
+            CALL abort_physic("atke_turbulence_ini", &
             'cinf cannot be lower than cn', 1)
       endif
@@ -134,5 +134,5 @@
       CALL getin_p('atke_pr_slope',pr_slope)
       if (pr_slope <= 1) then
-            call abort_physic("atke_turbulence_ini", &
+            CALL abort_physic("atke_turbulence_ini", &
             'pr_slope has to be greater than 1 for consistency of the tke scheme', 1)
       endif
@@ -146,5 +146,5 @@
       CALL getin_p('atke_pr_asym',pr_asym)
       if (pr_asym >= pr_neut) then
-            call abort_physic("atke_turbulence_ini", &
+            CALL abort_physic("atke_turbulence_ini", &
             'pr_asym must be be lower than pr_neut', 1)
       endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_ini.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_ini.F90	(revision 5103)
@@ -31,5 +31,5 @@
     contains
 
-   subroutine blowing_snow_ini(RCPD_in, RLSTT_in, RLVTT_in, RLMLT_in,&
+   SUBROUTINE blowing_snow_ini(RCPD_in, RLSTT_in, RLVTT_in, RLMLT_in,&
                                   RVTMP2_in, RTT_in,RD_in,RG_in, RV_in, RPI_in)
 
@@ -82,5 +82,5 @@
          CALL getin_p('r_bs',r_bs)
 
-      end subroutine blowing_snow_ini
+      END SUBROUTINE  blowing_snow_ini
 
 end module lmdz_blowing_snow_ini
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5103)
@@ -2,5 +2,5 @@
 
 contains
-subroutine blowing_snow_sublim_sedim(ngrid,nlay,dtime,temp,qv,qb,pplay,paprs,dtemp_bs,dqv_bs,dqb_bs,bsfl,precip_bs)
+SUBROUTINE blowing_snow_sublim_sedim(ngrid,nlay,dtime,temp,qv,qb,pplay,paprs,dtemp_bs,dqv_bs,dqb_bs,bsfl,precip_bs)
 
 !==============================================================================
@@ -178,5 +178,5 @@
 
    ! calulation saturation specific humidity
-    CALL CALC_QSAT_ECMWF(ngrid,ztemp(:),qzero(:),zpres(:),RTT,2,.false.,qsi(:),dqsi(:))
+    CALL CALC_QSAT_ECMWF(ngrid,ztemp(:),qzero(:),zpres(:),RTT,2,.FALSE.,qsi(:),dqsi(:))
 
 
@@ -292,4 +292,4 @@
 return
 
-end subroutine blowing_snow_sublim_sedim
+END SUBROUTINE  blowing_snow_sublim_sedim
 end module lmdz_blowing_snow_sublim_sedim
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5103)
@@ -8,5 +8,5 @@
 contains
 
-subroutine call_atke(dtime,ngrid,nlay,nsrf,ni,cdrag_uv,cdrag_t,u_surf,v_surf,temp_surf, &
+SUBROUTINE call_atke(dtime,ngrid,nlay,nsrf,ni,cdrag_uv,cdrag_t,u_surf,v_surf,temp_surf, &
                         wind_u,wind_v,temp,qvap,play,pinterf, &
                         tke,eps,Km_out,Kh_out)
@@ -59,5 +59,5 @@
 
 
-call atke_compute_km_kh(ngrid,nlay,dtime,&
+CALL atke_compute_km_kh(ngrid,nlay,dtime,&
                         wind_u,wind_v,temp,qvap,play,pinterf,cdrag_uv,&
                         tke,eps,tke_shear_term,tke_buoy_term,tke_trans_term,Km_out,Kh_out)
@@ -65,5 +65,5 @@
 
                                
-if (iflag_num_atke == 1) then
+IF (iflag_num_atke == 1) then
    !! In this case, we make an explicit prediction of the wind shear to calculate the tke in a
    !! forward backward way
@@ -74,9 +74,9 @@
       wind1(i)=sqrt(wind_u(i,1)**2+wind_v(i,1)**2)
    enddo
-   call atke_explicit_prediction(ngrid,nlay,rg,rd,dtime,pinterf,play,temp,wind1,wind_u,Km_out,u_surf,cdrag_uv,wind_u_predict)  
-   call atke_explicit_prediction(ngrid,nlay,rg,rd,dtime,pinterf,play,temp,wind1,wind_v,Km_out,v_surf,cdrag_uv,wind_v_predict)
+   CALL atke_explicit_prediction(ngrid,nlay,rg,rd,dtime,pinterf,play,temp,wind1,wind_u,Km_out,u_surf,cdrag_uv,wind_u_predict)
+   CALL atke_explicit_prediction(ngrid,nlay,rg,rd,dtime,pinterf,play,temp,wind1,wind_v,Km_out,v_surf,cdrag_uv,wind_v_predict)
 
 
-   call atke_compute_km_kh(ngrid,nlay,dtime,&
+   CALL atke_compute_km_kh(ngrid,nlay,dtime,&
                         wind_u_predict,wind_v_predict,temp,qvap,play,pinterf,cdrag_uv, &
                         tke,eps,tke_shear_term,tke_buoy_term,tke_trans_term,Km_out,Kh_out)
@@ -98,9 +98,9 @@
 
 
-end subroutine call_atke
+END SUBROUTINE  call_atke
 
 !----------------------------------------------------------------------------------------
 
-subroutine atke_explicit_prediction(ngrid,nlay,rg,rd,dtime,pinterf,play,temp,wind1,x_in,K_in,x_surf,cdrag,x_predict)
+SUBROUTINE atke_explicit_prediction(ngrid,nlay,rg,rd,dtime,pinterf,play,temp,wind1,x_in,K_in,x_surf,cdrag,x_predict)
 
 INTEGER, INTENT(IN) :: ngrid ! number of horizontal index (flat grid)
@@ -129,20 +129,20 @@
 
 ! "big K" calculation
-do  k=2,nlay-1
+DO  k=2,nlay-1
    do i=1,ngrid
       rho=pinterf(i,k)/rd/(0.5*(temp(i,k-1)+temp(i,k)))
       K_big(i,k)=rg*K_in(i,k)/(play(i,k)-play(i,k+1))*(rho**2)
    enddo
-enddo
+END DO
 ! speficic treatment for k=nlay
-do i=1,ngrid
+DO i=1,ngrid
    rho=pinterf(i,nlay)/rd/temp(i,nlay)
    K_big(i,nlay)=rg*K_in(i,nlay)/(2*(play(i,nlay)-pinterf(i,nlay+1)))*(rho**2)
-enddo
+END DO
 
 
 
 ! x_predict calculation for 2<=k<=nlay-1
-do  k=2,nlay-1
+DO  k=2,nlay-1
    do i=1,ngrid
       ml=(pinterf(i,k)-pinterf(i,k+1))/rg
@@ -151,22 +151,22 @@
                   - K_big(i,k)*x_in(i,k-1))
    enddo
-enddo
+END DO
 
 ! Specific treatment for k=1 
-do i=1,ngrid
+DO i=1,ngrid
    ml=(pinterf(i,1)-pinterf(i,2))/rg
    F1=-play1(i)/rd/temp1(i)*wind1(i)*cdrag(i)*(x_in(i,1)-x_surf(i)) ! attention convention sens du flux
    x_predict(i,1)=x_in(i,1)-dtime/ml*(-K_big(i,2)*(x_in(i,2) - x_in(i,1))-F1)
-enddo
+END DO
 
 ! Specific treatment for k=nlay
 ! flux at the top of the atmosphere=0
-do i=1,ngrid
+DO i=1,ngrid
    ml=0.5*(pinterf(i,nlay)-pinterf(i,nlay+1))/rg
    x_predict(i,nlay)=x_in(i,nlay)+dtime/ml*(K_big(i,nlay)*(x_in(i,nlay)-x_in(i,nlay-1)))
-enddo
+END DO
 
 
-end subroutine atke_explicit_prediction
+END SUBROUTINE  atke_explicit_prediction
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_blowing_snow.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_blowing_snow.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_blowing_snow.F90	(revision 5103)
@@ -3,5 +3,5 @@
 contains
 
-subroutine call_blowing_snow_sublim_sedim(ngrid,nlay,dtime,temp,q,qbs,pplay,paprs, &
+SUBROUTINE call_blowing_snow_sublim_sedim(ngrid,nlay,dtime,temp,q,qbs,pplay,paprs, &
                                   dtemp_bs,dq_bs,dqbs_bs,bsfl,precip_bs)
 
@@ -34,5 +34,5 @@
 
 
-call blowing_snow_sublim_sedim(ngrid,nlay,dtime,temp,q,qbs,pplay,paprs, &
+CALL blowing_snow_sublim_sedim(ngrid,nlay,dtime,temp,q,qbs,pplay,paprs, &
                                   dtemp_bs,dq_bs,dqbs_bs,bsfl,precip_bs)
 
@@ -41,5 +41,5 @@
 
 
-end subroutine call_blowing_snow_sublim_sedim
+END SUBROUTINE  call_blowing_snow_sublim_sedim
 
 end module lmdz_call_blowing_snow
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90	(revision 5103)
@@ -728,5 +728,5 @@
   ENDIF !ok_cdnc
 
-  first=.false. !to be sure
+  first=.FALSE. !to be sure
 
   RETURN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop_ini.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop_ini.F90	(revision 5103)
@@ -78,9 +78,9 @@
     ok_new_lscp = ok_new_lscp_in
     
-    call getin_p('cdnc_min',cdnc_min)
+    CALL getin_p('cdnc_min',cdnc_min)
     cdnc_min_m3=cdnc_min*1.E6
     IF (cdnc_min_m3<0.) cdnc_min_m3=20.E6 ! astuce pour retrocompatibilite
     write(lunout,*)'cdnc_min=', cdnc_min_m3/1.E6
-    call getin_p('cdnc_max',cdnc_max)
+    CALL getin_p('cdnc_max',cdnc_max)
     cdnc_max_m3=cdnc_max*1.E6
     IF (cdnc_max_m3<0.) cdnc_max_m3=1000.E6 ! astuce pour retrocompatibilite
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5103)
@@ -198,5 +198,5 @@
       
           
-!     print*,sth,sigma2s,qlth(ind1,ind2),ctot(ind1,ind2),qltot(ind1,ind2),'verif'
+!     PRINT*,sth,sigma2s,qlth(ind1,ind2),ctot(ind1,ind2),qltot(ind1,ind2),'verif'
 
 
@@ -443,5 +443,5 @@
       qlenv(ind1,ind2)=IntJ+IntI1+IntI2+IntI3
 !      qlenv(ind1,ind2)=IntJ 
-!      print*, qlenv(ind1,ind2),'VERIF EAU'
+!      PRINT*, qlenv(ind1,ind2),'VERIF EAU'
 
 
@@ -454,5 +454,5 @@
       qlth(ind1,ind2)=IntJ+IntI1+IntI2+IntI3
 !      qlth(ind1,ind2)=IntJ
-!      print*, IntJ,IntI1,IntI2,IntI3,qlth(ind1,ind2),'VERIF EAU2'
+!      PRINT*, IntJ,IntI1,IntI2,IntI3,qlth(ind1,ind2),'VERIF EAU2'
       qltot(ind1,ind2)=fraca(ind1,ind2)*qlth(ind1,ind2)+(1.-1.*fraca(ind1,ind2))*qlenv(ind1,ind2)
 
@@ -491,5 +491,5 @@
       qlenv(ind1,ind2)=IntJ+IntI1+IntI2+IntI3
 !      qlenv(ind1,ind2)=IntJ 
-!      print*, qlenv(ind1,ind2),'VERIF EAU'
+!      PRINT*, qlenv(ind1,ind2),'VERIF EAU'
 
       IntJ=0.5*sth*(1-erf(xth2))+(sigma2s/sqrt2pi)*exp(-1.*xth2**2)
@@ -500,5 +500,5 @@
       qlth(ind1,ind2)=IntJ+IntI1+IntI2+IntI3
 !      qlth(ind1,ind2)=IntJ
-!      print*, IntJ,IntI1,IntI2,IntI3,qlth(ind1,ind2),'VERIF EAU2'
+!      PRINT*, IntJ,IntI1,IntI2,IntI3,qlth(ind1,ind2),'VERIF EAU2'
       qltot(ind1,ind2)=fraca(ind1,ind2)*qlth(ind1,ind2)+(1.-1.*fraca(ind1,ind2))*qlenv(ind1,ind2)
       
@@ -525,5 +525,5 @@
       
           
-!     print*,sth,sigma2s,qlth(ind1,ind2),ctot(ind1,ind2),qltot(ind1,ind2),'verif'
+!     PRINT*,sth,sigma2s,qlth(ind1,ind2),ctot(ind1,ind2),qltot(ind1,ind2),'verif'
 
 
@@ -1642,7 +1642,7 @@
 
 ! Calculation of saturation specific humidity
-CALL CALC_QSAT_ECMWF(klon,Tbefenv,qt_env,play,RTT,1,.false.,qslenv,dqsatenv)
-CALL CALC_QSAT_ECMWF(klon,Tbefenv,qt_env,play,RTT,2,.false.,qsienv,dqsatenv)
-CALL CALC_QSAT_ECMWF(klon,Tbefth,qt_th,play,RTT,1,.false.,qslth,dqsatth)
+CALL CALC_QSAT_ECMWF(klon,Tbefenv,qt_env,play,RTT,1,.FALSE.,qslenv,dqsatenv)
+CALL CALC_QSAT_ECMWF(klon,Tbefenv,qt_env,play,RTT,2,.FALSE.,qsienv,dqsatenv)
+CALL CALC_QSAT_ECMWF(klon,Tbefth,qt_th,play,RTT,1,.FALSE.,qslth,dqsatth)
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth_ini.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth_ini.F90	(revision 5103)
@@ -10,5 +10,5 @@
 contains
 
-subroutine cloudth_ini(iflag_cloudth_vert_in,iflag_ratqs_in)
+SUBROUTINE cloudth_ini(iflag_cloudth_vert_in,iflag_ratqs_in)
 
 use ioipsl_getin_p_mod, ONLY: getin_p
@@ -49,5 +49,5 @@
         CALL getin_p('Ni', Ni)
 
-end subroutine cloudth_ini
+END SUBROUTINE  cloudth_ini
 
 end module lmdz_cloudth_ini
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5103)
@@ -418,7 +418,7 @@
 
     IF (k<=klev-1) THEN
-       iftop=.false. 
+       iftop=.FALSE.
     ELSE 
-       iftop=.true.
+       iftop=.TRUE.
     ENDIF
 
@@ -510,9 +510,9 @@
         ! Calculation of saturation specific humidity
         ! depending on temperature:
-        CALL calc_qsat_ecmwf(klon,zt(:),qzero(:),pplay(:,k),RTT,0,.false.,zqs(:),zdqs(:))
+        CALL calc_qsat_ecmwf(klon,zt(:),qzero(:),pplay(:,k),RTT,0,.FALSE.,zqs(:),zdqs(:))
         ! wrt liquid water
-        CALL calc_qsat_ecmwf(klon,zt(:),qzero(:),pplay(:,k),RTT,1,.false.,qsl(:),dqsl(:))
+        CALL calc_qsat_ecmwf(klon,zt(:),qzero(:),pplay(:,k),RTT,1,.FALSE.,qsl(:),dqsl(:))
         ! wrt ice
-        CALL calc_qsat_ecmwf(klon,zt(:),qzero(:),pplay(:,k),RTT,2,.false.,qsi(:),dqsi(:))
+        CALL calc_qsat_ecmwf(klon,zt(:),qzero(:),pplay(:,k),RTT,2,.FALSE.,qsi(:),dqsi(:))
 
         DO i = 1, klon
@@ -694,5 +694,5 @@
 
      qtot(:)=zq(:)+zmqc(:)
-     CALL calc_qsat_ecmwf(klon,zt(:),qtot(:),pplay(:,k),RTT,0,.false.,zqs(:),zdqs(:))
+     CALL calc_qsat_ecmwf(klon,zt(:),qtot(:),pplay(:,k),RTT,0,.FALSE.,zqs(:),zdqs(:))
      DO i = 1, klon
             zdelta = MAX(0.,SIGN(1.,RTT-zt(i)))
@@ -813,5 +813,5 @@
                 DO i=1,klon
 
-                    ! keepgoing = .true. while convergence is not satisfied
+                    ! keepgoing = .TRUE. while convergence is not satisfied
                     keepgoing(i)=ABS(DT(i))>DDT0
 
@@ -839,5 +839,5 @@
 
                   ! Calculation of saturation specific humidity and ice fraction
-                  CALL calc_qsat_ecmwf(klon,Tbef(:),qtot(:),pplay(:,k),RTT,0,.false.,zqs(:),zdqs(:))
+                  CALL calc_qsat_ecmwf(klon,Tbef(:),qtot(:),pplay(:,k),RTT,0,.FALSE.,zqs(:),zdqs(:))
                   CALL calc_gammasat(klon,Tbef(:),qtot(:),pplay(:,k),gammasat(:),dgammasatdt(:))
                   ! saturation may occur at a humidity different from qsat (gamma qsat), so gamma correction for dqs
@@ -1242,5 +1242,5 @@
                 ENDIF
 
-                ! c_iso: call isotope_conversion (for readibility) or duplicate 
+                ! c_iso: CALL isotope_conversion (for readibility) or duplicate
 
                 radocond(i,k) = radocond(i,k) + zoliq(i)/REAL(niter_lscp+1)
@@ -1340,6 +1340,6 @@
             ENDIF
         !IF ( ((1-zfice(i))*zoliq(i) .GT. 0.) .AND. (zt(i) .LE. 233.15) ) THEN
-        !print*,'WARNING LEA OLIQ A <-40°C '
-        !print*,'zt,Tbef,oliq,oice,cldfraliq,icefrac,rneb',zt(i),Tbef(i),(1-zfice(i))*zoliq(i),zfice(i)*zoliq(i),cldfraliq(i,k),zfice(i),rneb(i,k)
+        !PRINT*,'WARNING LEA OLIQ A <-40°C '
+        !PRINT*,'zt,Tbef,oliq,oice,cldfraliq,icefrac,rneb',zt(i),Tbef(i),(1-zfice(i))*zoliq(i),zfice(i)*zoliq(i),cldfraliq(i,k),zfice(i),rneb(i,k)
         !ENDIF 
         ENDDO
@@ -1361,5 +1361,5 @@
     ! for ice phase, we take radocondi if we neglect snowfall, otherwise (ok_radocond_snow=true) 
     ! we recalculate radocondi to account for contributions from the precipitation flux
-    ! TODO: for the moment, we deactivate this option when ok_poprecip=.true.
+    ! TODO: for the moment, we deactivate this option when ok_poprecip=.TRUE.
 
     IF ((ok_radocond_snow) .AND. (k < klev) .AND. (.NOT. ok_poprecip)) THEN
@@ -1457,6 +1457,6 @@
    ENDDO
    !q_sat
-   CALL calc_qsat_ecmwf(klon,Tbef(:),qzero(:),pplay(:,k),RTT,1,.false.,qsatl(:,k),zdqs(:))
-   CALL calc_qsat_ecmwf(klon,Tbef(:),qzero(:),pplay(:,k),RTT,2,.false.,qsats(:,k),zdqs(:))
+   CALL calc_qsat_ecmwf(klon,Tbef(:),qzero(:),pplay(:,k),RTT,1,.FALSE.,qsatl(:,k),zdqs(:))
+   CALL calc_qsat_ecmwf(klon,Tbef(:),qzero(:),pplay(:,k),RTT,2,.FALSE.,qsats(:,k),zdqs(:))
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_ini.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_ini.F90	(revision 5103)
@@ -49,5 +49,5 @@
   !$OMP THREADPRIVATE(min_frac_th_cld)
 
-  LOGICAL, SAVE, PROTECTED :: ok_radocond_snow=.false. ! take into account the mass of ice precip in the cloud ice content seen by radiation
+  LOGICAL, SAVE, PROTECTED :: ok_radocond_snow=.FALSE. ! take into account the mass of ice precip in the cloud ice content seen by radiation
   !$OMP THREADPRIVATE(ok_radocond_snow)
 
@@ -92,5 +92,5 @@
 
 
-  LOGICAL, SAVE, PROTECTED :: reevap_ice=.false.            ! no liquid precip for T< threshold
+  LOGICAL, SAVE, PROTECTED :: reevap_ice=.FALSE.            ! no liquid precip for T< threshold
   !$OMP THREADPRIVATE(reevap_ice)
 
